-- ODS_POLICY ODS_保单业务数据
insert into ODS.ODS_KAFKA.POLICY
select
	endorseNo                  ,                       -- 1 批单号
	policyNo                   ,                       -- 2 保单号
	businessNo                 ,                       -- 3 业务号
	uwConclueDate              ,                       -- 4 核保通过时间
	businessOffice             ,                       -- 5 保单归属机构代码
	businessOfficeName         ,                       -- 6 保单归属机构名称
    productCode                ,                       -- 7 险种代码
    businessNatureCode         ,                       -- 8 业务来源
    startTime                  ,                       -- 9 起保时间
    endTime                    ,                       -- 10 终保时间
    netPremium                 ,                       -- 11 不含税保费
    premium                    ,                       -- 12 含税保费
    plcCar05                   ,
    plcApplicant               ,
    plcPublicInsurant          ,
    newPolicyFlag              ,                       -- 20 新保标识 1:是，0：否
	autoTransrenewFlag         ,                       -- 21 自动续保标识 1:是，4：跨险种自动续保，0：否
	transferPolicyFlag         ,                       -- 22 转保标识1:是，0：否
	transrenewFlag             ,                       -- 23 续保标识 1:是，4：跨险种续保，0：否
    plcSolution                ,
	saleaman                   ,                       -- 25 代理机构代码
	saleamanName               ,                       -- 26 代理机构名称
	businessChannelCode        ,                       -- 27 业务渠道
	businessChannelName        ,                       -- 28 业务渠道名
	recordClerkCode            ,					     -- 34 归属业务员ID
    recordClerkName            ,                       -- 35 归属业务员名称
    staCurAmount               ,                       -- 38 保险金额
	staCurTaxFee               ,                       -- 39 税
    policyCreatDate            ,                       -- 保单创建时间
    sigAndStaExchangeRate      ,                       -- 费率
	policySort                 ,                       -- 新核心车险保单-保单种类
	businessType                                     -- 新核心车险保单-业务类型
from ODS.SOURCE_RMQ_POLICY_PRD.POLICY
;




insert into ODS.ODS_MYSQL.MQ_POLICY
select
     policyNo                                             								as policyNo                     -- 0
    ,LongTimeToStringUDF(uwConclueDate,'yyyyMMdd')                      				as uwConclueDate                -- 1
    ,LongTimeToStringUDF(startTime,'yyyyMMdd')                          				as startTime                    -- 2
    ,businessOffice                            						    				as businessOffice               -- 3
    ,productCode  																		as productCode               -- 4
    ,businessChannelCode   																as businessChannelCode          -- 5
    ,businessNatureCode 																as businessNatureCode           -- 6
    ,netPremium 																		as netPremium                   -- 7
	,sigAndStaExchangeRate 																as sigAndStaExchangeRate        -- 8
	,plcSolution[1].plcCoins.plcCoinsBasicInformation[1].coinsIdentity  				as coinsIdentity                -- 9
    ,plcSolution[1].plcCoins.plcCoinsBasicInformation[1].coinsRate 						as coinsRate                    -- 0
    ,newPolicyFlag  																	as newPolicyFlag                -- 1
	,autoTransrenewFlag 																as autoTransrenewFlag           -- 2
	,transferPolicyFlag 																as transferPolicyFlag	            -- 3
	,transrenewFlag																		as transrenewFlag               -- 4
    ,recordClerkCode																	as recordClerkCode              -- 5
    ,policyCreatDate                                                                    as policyCreatDate
from  ODS.SOURCE_RMQ_POLICY_PRD.POLICY -- 保单业务数据
;






